This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 579686 - Can't switch progressbar and text boot screen
Can't switch progressbar and text boot screen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-04-06 05:21 EDT by Kamil Páral
Modified: 2010-05-25 17:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: plymouth-0.8.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-04-06 05:21:33 EDT
Description of problem:
Using plymouth in KVM in virt-manager. By default plymouth shows blue progress bar when computer is booting up. At the beginning I can hit Esc and switch to text mode. But if I don't do it in a few seconds, after that it is not possible any more (I think it corresponds to entering non-interactive setup phase). After that hitting Esc only prints ^[ characters beside the progress bar. Hitting Tab or Alt+Tab doesn't help either.

Similarly when I switch to text mode right after start up, after entering non-interactive setup I can't switch to progress bar view.

I am quite positive it was possible to switch in previous plymouth versions.

I'm using encrypted filesystem, if it makes any difference.

Version-Release number of selected component (if applicable):
plymouth-0.8.1-3.fc13

How reproducible:
always

Steps to Reproduce:
1. Start the machine
2. Wait a few seconds in the progress bar view, so it enters non-interactive setup
3. Try to switch to text mode by Esc/Tab
Comment 1 Charlie Brej 2010-04-06 05:26:37 EDT
Could you try pressing enter after the Esc and see if that works? I suspect during the boot, some app is turning the terminal into cooked mode.
Comment 2 Kamil Páral 2010-04-06 07:51:27 EDT
Oh nice that helps. Esc and Enter works, do does Alt+Tab and Enter. But one must be very fast with keyboard.
Comment 3 Adam Williamson 2010-04-16 16:25:34 EDT
Discussed at today's blocker review meeting. We agreed this isn't severe enough to be a blocker, and there are several possible workarounds (drop rhfb plymouth from parameters, hit esc early enough, do the esc+enter thing). Would be nice to fix it for final, though. Dropping to F13Target.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Update System 2010-04-19 10:14:35 EDT
plymouth-0.8.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/plymouth-0.8.2-2.fc13
Comment 5 Kamil Páral 2010-04-19 10:57:16 EDT
plymouth-0.8.2-2.fc13 fixes the issue.
Comment 6 Fedora Update System 2010-04-20 22:17:35 EDT
plymouth-0.8.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plymouth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/plymouth-0.8.2-2.fc13
Comment 7 Fedora Update System 2010-04-21 17:55:09 EDT
plymouth-0.8.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Adam Williamson 2010-05-25 17:45:47 EDT
no need to commonbugs this, then, as it got in for final.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.